Bug 432942 - Same document opens in new window/tag by default
Summary: Same document opens in new window/tag by default
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-02-14 16:40 UTC by Julian
Modified: 2021-03-17 16:01 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julian 2021-02-14 16:40:42 UTC
SUMMARY
When opening a document that is already open, I would expect Okular to jump to the already open document. The default behavior seems to be to open any document in a new window (or tab if tabs are turned on). I also tried the --unique flag but that does not lead to the desire beavior.
Comment 1 Nate Graham 2021-02-16 19:54:29 UTC
There is an option to do this in the settings window.

Personally I agree with you and I think it should be the default behavior, to match the typical behavior in other apps.

Albert, would you be open to the possibility of changing the default setting here?
Comment 2 Albert Astals Cid 2021-02-16 23:05:44 UTC
We've been with this behaviour for decades and we've had like 2 reports about it, i'm not super sure that is a great indication for "the default is wrong", but I don't really care.
Comment 3 Bug Janitor Service 2021-02-19 20:21:45 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/370
Comment 4 Nate Graham 2021-03-17 16:01:54 UTC
Git commit d0b9b138cc352b6af1dc0bb8427cfc1608b7ac30 by Nate Graham.
Committed on 17/03/2021 at 16:00.
Pushed by ngraham into branch 'release/21.04'.

Switch to existing document in new tab by default

Right now Okular defaults to opening an already-open document in a new
tab when opened a second time, which is a bit odd. Most other
document-based apps will switch to the existing document's instance
instead of opening a new instance of it.

Interestingly enough, Okular has an option to do this, but it's off by
default. I think on by default makes more sense here, to be consistent
with other document-based apps. Since the option exists, people who have
a specialized use case that commonly involves opening multiple instances
of the same document can toggle the option to have that. Everyone wins!
FIXED-IN: 21.04

M  +1    -1    conf/okular.kcfg
M  +1    -1    doc/index.docbook

https://invent.kde.org/graphics/okular/commit/d0b9b138cc352b6af1dc0bb8427cfc1608b7ac30